org.jbpm.ruleflow.core.factory

## Class RuleSetNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory<org.kie.api.fluent.RuleSetNodeBuilder<T>,T>
  - - org.jbpm.ruleflow.core.factory.RuleSetNodeFactory<T>

- All Implemented Interfaces:
    org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.RuleSetNodeBuilder<T>,T>, org.kie.api.fluent.RuleSetNodeBuilder<T>

      public class RuleSetNodeFactory<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>
      extends NodeFactory<org.kie.api.fluent.RuleSetNodeBuilder<T>,T>
      implements org.kie.api.fluent.RuleSetNodeBuilder<T>

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `node, nodeContainer, nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetNodeFactory(T nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RuleSetNode` | `getRuleSetNode()`
    `RuleSetNodeFactory<T>` | `name(String name)`
    `RuleSetNodeFactory<T>` | `ruleFlowGroup(String ruleFlowGroup)`
    `org.kie.api.fluent.RuleSetNodeBuilder<T>` | `timer(String delay, String period, org.kie.api.fluent.Dialect dialect, String action)`
    `RuleSetNodeFactory<T>` | `timer(String delay, String period, String dialect, String action)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode, setId, setMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, setMetadata`

- - ### Constructor Detail

    - #### RuleSetNodeFactory

          public RuleSetNodeFactory(T nodeContainerFactory,
                                    NodeContainer nodeContainer,
                                    long id)

  - ### Method Detail

    - #### getRuleSetNode

          protected RuleSetNode getRuleSetNode()

    - #### name

          public RuleSetNodeFactory<T> name(String name)

      Specified by:
        `name` in interface `org.kie.api.fluent.NodeBuilder<org.kie.api.fluent.RuleSetNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`
      Overrides:
        `name` in class `NodeFactory<org.kie.api.fluent.RuleSetNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>,T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### ruleFlowGroup

          public RuleSetNodeFactory<T> ruleFlowGroup(String ruleFlowGroup)

      Specified by:
        `ruleFlowGroup` in interface `org.kie.api.fluent.RuleSetNodeBuilder<T extends org.kie.api.fluent.NodeContainerBuilder<T,?>>`

    - #### timer

          public RuleSetNodeFactory<T> timer(String delay,
                                             String period,
                                             String dialect,
                                             String action)

    - #### timer

          public org.kie.api.fluent.RuleSetNodeBuilder<T> timer(String delay,
                                                                String period,
                                                                org.kie.api.fluent.Dialect dialect,
                                                                String action)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.